#include <iostream>

using namespace std;

int main()
{
    long long a, b, x, y;
    cin >> a >> b;
    cin >> x >> y;
    if(a==x && b==y)
    {
        cout << "nijedan" << endl;
    }
    else if(a!=x && b==y)
    {
        cout << "prvi" << endl;
    }
    else if(a==x && b!=y)
    {
        cout << "drugi" << endl;
    }
    else
    {
        cout << "?" << endl;
    }
}